From 7d481eff478b1da1dc7048c90021f5fd7a83b35c Mon Sep 17 00:00:00 2001
From: Dennis Scheiba <git@dennis-scheiba.com>
Date: Wed, 15 Jan 2025 14:22:27 +0100
Subject: [PATCH] fix asio post invocation for SC_TerminalClient

---
 lang/LangSource/SC_TerminalClient.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/lang/LangSource/SC_TerminalClient.cpp b/lang/LangSource/SC_TerminalClient.cpp
index 551369304a9..330716467a3 100644
--- a/lang/LangSource/SC_TerminalClient.cpp
+++ b/lang/LangSource/SC_TerminalClient.cpp
@@ -360,19 +360,19 @@ void SC_TerminalClient::onLibraryStartup() {
 void SC_TerminalClient::sendSignal(Signal sig) {
     switch (sig) {
     case sig_input:
-        boost::asio::post(boost::bind(&SC_TerminalClient::interpretInput, this));
+        boost::asio::post(mIoContext, [this] { this->interpretInput(); });
         break;
 
     case sig_recompile:
-        boost::asio::post(boost::bind(&SC_TerminalClient::recompileLibrary, this));
+        boost::asio::post(mIoContext, [this] { this->recompileLibrary(); });
         break;
 
     case sig_sched:
-        boost::asio::post(boost::bind(&SC_TerminalClient::tick, this, boost::system::error_code()));
+        boost::asio::post(mIoContext, [this] { this->tick(boost::system::error_code()); });
         break;
 
     case sig_stop:
-        boost::asio::post(boost::bind(&SC_TerminalClient::stopMain, this));
+        boost::asio::post(mIoContext, [this] { this->stopMain(); });
         break;
     }
 }
